import { OnInit } from '@angular/core';
export declare class SharePriceComponent implements OnInit {
    data: {
        labels: string[];
        datasets: {
            label: string;
            fillColor: string;
            strokeColor: string;
            pointColor: string;
            pointStrokeColor: string;
            pointHighlightFill: string;
            pointHighlightStroke: string;
            data: number[];
        }[];
    };
    options: {
        elements: {};
        scales: {
            yAxes: {
                display: boolean;
                ticks: {
                    fontColor: string;
                    fontSize: number;
                    stepSize: number;
                    beginAtZero: boolean;
                };
            }[];
            xAxes: {
                display: boolean;
                ticks: {
                    fontColor: string;
                    fontSize: number;
                    stepSize: number;
                    beginAtZero: boolean;
                };
            }[];
        };
        legend: {
            display: boolean;
        };
        maintainAspectRatio: boolean;
        plugins: {
            filler: {
                propagate: boolean;
            };
        };
        title: {
            display: boolean;
            text: string;
            fontColor: string;
            fontSize: number;
        };
    };
    constructor();
    getRandomInt(min: any, max: any): any;
    ngOnInit(): void;
    drawGraph(): void;
}
