(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/forms'), require('@angular/flex-layout'), require('@angular/material'), require('ng2-odometer'), require('angular-svg-round-progressbar'), require('chart.js'), require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('ngx-do-wip', ['exports', '@angular/common', '@angular/forms', '@angular/flex-layout', '@angular/material', 'ng2-odometer', 'angular-svg-round-progressbar', 'chart.js', '@angular/core'], factory) :
    (factory((global['ngx-do-wip'] = {}),global.ng.common,global.ng.forms,global.ng['flex-layout'],global.ng.material,global.Ng2Odometer,global.AngularSvgRoundProgressbar,global.ChartJS,global.ng.core));
}(this, (function (exports,common,forms,flexLayout,material,ng2Odometer,angularSvgRoundProgressbar,chart_js,core) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DashcardComponent = /** @class */ (function () {
        function DashcardComponent() {
        }
        /**
         * @return {?}
         */
        DashcardComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        DashcardComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-do-dashcard',
                        template: "<div fxLayout=\"row\"  class=\"dashcard mat-elevation-z4 \"  >\n    <div fxFlex=\"40\" fxLayout=\"row\"  fxLayoutAlign=\"center center\" [style.background]=\"dashData?.colorLight\">\n        <mat-icon  class=\"cardIcon\">{{dashData?.icon}}</mat-icon>\n    </div>\n    <div  fxFlex=\"60\" fxLayout=\"column\" fxLayoutAlign=\"center center\" [style.background]=\"dashData?.colorDark\" >\n         \n        <div style=\"color: white;font-size: 40px\">\n            <ng2-odometer [number]=\"dashData?.number\" [config]=\"{ }\"></ng2-odometer>\n            \n        </div>\n        <p class=\"mat-body-1 border-top\">\n            {{dashData?.title}}\n        </p>\n    </div>\n</div>",
                        styles: [".nav-item{transition:.6s cubic-bezier(.165,.84,.44,1);cursor:default}.nav-item:hover{-webkit-transform:translate(0,-8px);transform:translate(0,-8px);box-shadow:0 20px 20px rgba(0,0,0,.16)}"]
                    }] }
        ];
        /** @nocollapse */
        DashcardComponent.ctorParameters = function () { return []; };
        DashcardComponent.propDecorators = {
            dashData: [{ type: core.Input }]
        };
        return DashcardComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LineGraphComponent = /** @class */ (function () {
        function LineGraphComponent() {
        }
        /**
         * @return {?}
         */
        LineGraphComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                setTimeout(function () {
                    _this.createLineChart();
                }, 500);
            };
        /**
         * @return {?}
         */
        LineGraphComponent.prototype.createLineChart = /**
         * @return {?}
         */
            function () {
                new chart_js.Chart('line-graph', {
                    type: 'line',
                    data: {
                        labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct'],
                        datasets: [{
                                backgroundColor: 'rgba(92, 107, 192, 0.36)',
                                borderColor: 'rgba(92, 107, 192,.5)',
                                data: [76.97, 88.91, 99.31, 122.19, 130.85, 140.91, 150.36, 142.66, 150.36, 142.66],
                                label: 'Dataset',
                                fill: 'start'
                            }]
                    },
                    options: {
                        elements: {
                            line: {
                                tension: 0.000001
                            }
                        },
                        legend: {
                            display: false
                        },
                        maintainAspectRatio: false,
                        plugins: {
                            filler: {
                                propagate: false
                            }
                        },
                        title: {
                            display: true,
                            text: 'ASSIGNMENTS GRAPH '
                        }
                    }
                });
            };
        LineGraphComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-do-line-graph',
                        template: "<div  class=\"line-graph-holder mat-elevation-z4 \" [ngStyle]=\"{'height':'220px'}\">\n    <canvas id=\"line-graph\"></canvas>\n</div>",
                        styles: [".line-graph-holder{margin:10px 5px;background-color:#fff}.nav-item{transition:.6s cubic-bezier(.165,.84,.44,1);cursor:default}.nav-item:hover{-webkit-transform:translate(0,-8px);transform:translate(0,-8px);box-shadow:0 20px 20px rgba(0,0,0,.16)}"]
                    }] }
        ];
        /** @nocollapse */
        LineGraphComponent.ctorParameters = function () { return []; };
        return LineGraphComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var BarGraphComponent = /** @class */ (function () {
        function BarGraphComponent() {
        }
        /**
         * @return {?}
         */
        BarGraphComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                setTimeout(function () {
                    _this.createBarGraph();
                }, 500);
            };
        /**
         * @return {?}
         */
        BarGraphComponent.prototype.createBarGraph = /**
         * @return {?}
         */
            function () {
                new chart_js.Chart('dash-bar-graph', {
                    type: 'bar',
                    data: {
                        labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug'],
                        datasets: [
                            {
                                backgroundColor: 'rgba(92, 107, 192, .7)',
                                borderColor: 'rgba(92, 107, 192, .7)',
                                data: [70, 88, 77, 93, 82, 100, 70, 67, 78, 99],
                                label: 'Dataset',
                                fill: 'false'
                            },
                            {
                                backgroundColor: 'rgba(66, 165, 245, .7)',
                                borderColor: 'rgba(69, 39, 160, .7)',
                                data: [80, 88, 67, 95, 76, 60, 67, 95, 95, 66],
                                label: 'Dataset',
                                fill: 'false'
                            },
                            {
                                backgroundColor: 'rgba(38, 166, 154, .7)',
                                borderColor: 'rgba(69, 39, 160, .7)',
                                data: [60, 88, 70, 67, 27, 83, 78, 88, 95, 60],
                                label: 'Dataset',
                                fill: 'false'
                            },
                            {
                                backgroundColor: 'rgba(102, 187, 106, .7)',
                                borderColor: 'rgba(255, 99, 132)',
                                data: [75, 55, 55, 95, 66, 88, 70, 78, 77, 100],
                                label: 'Dataset',
                                fill: 'false'
                            }
                        ]
                    },
                    options: {
                        legend: {
                            display: false
                        },
                        elements: {
                            line: {
                                tension: 0.000001
                            }
                        },
                        maintainAspectRatio: false,
                        plugins: {
                            filler: {
                                propagate: false
                            }
                        },
                        title: {
                            display: true,
                            text: 'SALES GRAPH'
                        }
                    }
                });
            };
        BarGraphComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-do-bar-graph',
                        template: "<div  class=\"dash-bar-graph-holder mat-elevation-z4 \" [ngStyle]=\"{'height':'220px'}\">\n    <canvas id=\"dash-bar-graph\"></canvas>\n</div>",
                        styles: [".dash-bar-graph-holder{margin:10px 5px;background-color:#fff}.nav-item{transition:.6s cubic-bezier(.165,.84,.44,1);cursor:default}.nav-item:hover{-webkit-transform:translate(0,-8px);transform:translate(0,-8px);box-shadow:0 20px 20px rgba(0,0,0,.16)}"]
                    }] }
        ];
        /** @nocollapse */
        BarGraphComponent.ctorParameters = function () { return []; };
        return BarGraphComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DoughnutGraphComponent = /** @class */ (function () {
        function DoughnutGraphComponent() {
        }
        /**
         * @return {?}
         */
        DoughnutGraphComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                setTimeout(function () {
                    _this.createDoughnutGraph();
                }, 500);
            };
        /**
         * @param {?=} min
         * @param {?=} max
         * @return {?}
         */
        DoughnutGraphComponent.prototype.randomNumber = /**
         * @param {?=} min
         * @param {?=} max
         * @return {?}
         */
            function (min, max) {
                if (min === void 0) {
                    min = 0;
                }
                if (max === void 0) {
                    max = 0;
                }
                if (min === 0 || max === 0) {
                    return Math.round(Math.random() * 100);
                }
                else {
                    return Math.random() * (max - min) + min;
                }
            };
        /**
         * @param {?} date
         * @param {?} lastClose
         * @return {?}
         */
        DoughnutGraphComponent.prototype.randomBar = /**
         * @param {?} date
         * @param {?} lastClose
         * @return {?}
         */
            function (date, lastClose) {
                /** @type {?} */
                var open = this.randomNumber(lastClose * .95, lastClose * 1.05);
                /** @type {?} */
                var close = this.randomNumber(open * .95, open * 1.05);
                //  const high = this.randomNumber(Math.max(open, close), Math.max(open, close) * 1.1);
                //  const low = this.randomNumber(Math.min(open, close) * .9, Math.min(open, close));
                return {
                    t: date.valueOf(),
                    y: close
                };
            };
        /**
         * @return {?}
         */
        DoughnutGraphComponent.prototype.createDoughnutGraph = /**
         * @return {?}
         */
            function () {
                new chart_js.Chart('doughnut-graph-graph', {
                    type: 'doughnut',
                    data: {
                        labels: ['Data '],
                        datasets: [{
                                data: [
                                    this.randomNumber(),
                                    this.randomNumber(),
                                    this.randomNumber(),
                                    this.randomNumber(),
                                ],
                                backgroundColor: [
                                    'rgba(255, 99, 132,.7)',
                                    'rgba(92, 107, 192,.7)',
                                    'rgba(66, 165, 245,.7)',
                                    'rgba(38, 166, 154,.7)',
                                    'rgba(102, 187, 106,.7)'
                                ],
                            }]
                    },
                    options: {
                        elements: {
                            line: {
                                tension: 0.000001
                            }
                        },
                        legend: {
                            display: false
                        },
                        maintainAspectRatio: false,
                        responsive: true,
                        plugins: {
                            filler: {
                                propagate: false
                            }
                        },
                        title: {
                            display: true,
                            text: 'LEAD GRAPH'
                        }
                    }
                });
            };
        DoughnutGraphComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-do-doughnut-graph',
                        template: "<div  class=\"doughnut-graph-graph-holder mat-elevation-z4  \" [ngStyle]=\"{'height':'220px'}\">\n    <canvas id=\"doughnut-graph-graph\"></canvas>\n</div>",
                        styles: [".doughnut-graph-graph-holder{margin:10px 5px;background-color:#fff}.nav-item{transition:.6s cubic-bezier(.165,.84,.44,1);cursor:default}.nav-item:hover{-webkit-transform:translate(0,-8px);transform:translate(0,-8px);box-shadow:0 20px 20px rgba(0,0,0,.16)}"]
                    }] }
        ];
        /** @nocollapse */
        DoughnutGraphComponent.ctorParameters = function () { return []; };
        return DoughnutGraphComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PricingPlanComponent = /** @class */ (function () {
        function PricingPlanComponent() {
        }
        /**
         * @return {?}
         */
        PricingPlanComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        PricingPlanComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-do-pricing-plan',
                        template: "<div  class=\"pricing-card-holder mat-elevation-z4 \">\n    <mat-toolbar>\n      Pricing\n    </mat-toolbar>\n    <mat-nav-list>\n        <mat-list-item *ngFor=\"let link of [1,2,3,4,5]\">\n            <a matLine href=\"...\">{{ link }}</a>\n                <button mat-icon-button >\n                <mat-icon>info</mat-icon>\n            </button>\n        </mat-list-item>\n    </mat-nav-list>\n</div>",
                        styles: [".pricing-card-holder{margin:10px 5px;background:#fff}"]
                    }] }
        ];
        /** @nocollapse */
        PricingPlanComponent.ctorParameters = function () { return []; };
        return PricingPlanComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var WeatherComponent = /** @class */ (function () {
        function WeatherComponent() {
        }
        /**
         * @return {?}
         */
        WeatherComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        WeatherComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-do-weather',
                        template: "<div  class=\"weather mat-elevation-z4 \">\n    <div fxLayout=\"column\"  fxLayoutAlign=\"center  start\"  class=\"weatherimage\" >  \n        <mat-icon class=\"weathericons no-margin\">\n            wb_sunny\n        </mat-icon>\n        <h2   class=\"mat-headline temperature\" >\n            73<sup><sup>o</sup>C</sup>    \n        </h2>\n        <h2   class=\"mat-headline place\" >\n            KERALA, KOCHI\n        </h2>\n    </div>\n</div>",
                        styles: [".weather{margin:10px;height:220px;color:#fff}.weather .weatherimage{background-image:url(https://images.unsplash.com/photo-1508529044574-59120aab8253?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=934&q=80);background-size:cover;height:220px;box-shadow:inset 0 0 0 2000px rgba(63,81,181,.4)}.place,.temperature{text-align:center;margin:0 auto}.weathericons{height:40px;width:40px;color:#fff;margin:0 auto}.weather-series{color:#3f51b5;height:40px;width:40px;font-size:40px}.weather-next{color:#cfcfcf;margin:auto}.nav-item{transition:.6s cubic-bezier(.165,.84,.44,1);cursor:default}.nav-item:hover{-webkit-transform:translate(0,-8px);transform:translate(0,-8px);box-shadow:0 20px 20px rgba(0,0,0,.16)}"]
                    }] }
        ];
        /** @nocollapse */
        WeatherComponent.ctorParameters = function () { return []; };
        return WeatherComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SharePriceComponent = /** @class */ (function () {
        function SharePriceComponent() {
            this.data = {
                labels: ['A', 'B', 'C', 'D', 'E', 'F'],
                datasets: [{
                        label: 'My First dataset',
                        fillColor: 'rgba(255, 255, 255, 1)',
                        strokeColor: 'rgba(255, 255, 255, 1)\',',
                        pointColor: 'rgba(255, 255, 255, 1)\'',
                        pointStrokeColor: 'rgba(255, 255, 255, 1)\'',
                        pointHighlightFill: 'rgba(255, 255, 255, 1)\'',
                        pointHighlightStroke: 'rgba(220,220,220,1)',
                        data: [25, 29, 58, 50, 42, 65]
                    }]
            };
            this.options = {
                elements: {},
                scales: {
                    yAxes: [{
                            display: false,
                            ticks: {
                                fontColor: 'white',
                                fontSize: 18,
                                stepSize: 1,
                                beginAtZero: true
                            }
                        }],
                    xAxes: [{
                            display: false,
                            ticks: {
                                fontColor: 'white',
                                fontSize: 18,
                                stepSize: 1,
                                beginAtZero: true
                            }
                        }]
                },
                legend: {
                    display: false
                },
                maintainAspectRatio: false,
                plugins: {
                    filler: {
                        propagate: false
                    }
                },
                title: {
                    display: true,
                    text: 'Live Share Value',
                    fontColor: 'white',
                    fontSize: 18
                }
            };
        }
        /**
         * @param {?} min
         * @param {?} max
         * @return {?}
         */
        SharePriceComponent.prototype.getRandomInt = /**
         * @param {?} min
         * @param {?} max
         * @return {?}
         */
            function (min, max) {
                return Math.floor(Math.random() * (max - min)) + min;
            };
        /**
         * @return {?}
         */
        SharePriceComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                setTimeout(function () {
                    _this.drawGraph();
                }, 500);
            };
        /**
         * @return {?}
         */
        SharePriceComponent.prototype.drawGraph = /**
         * @return {?}
         */
            function () {
                var _this = this;
                /** @type {?} */
                var graph = new Chart('share-price', {
                    type: 'line',
                    data: this.data,
                    options: this.options
                });
                setInterval(function () {
                    graph.data.datasets[0].data.map(function (p) {
                        p = _this.getRandomInt(20, 60);
                    });
                }, 2500);
            };
        SharePriceComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-do-share-price',
                        template: "<div  class=\"share-price mat-elevation-z4 \">\n    <div fxLayout=\"column\"  fxLayoutAlign=\"center  center\"  class=\"weatherimage\" >  \n        <div style=\"color: white;font-size: 40px;text-align:center\">\n            <ng2-odometer [number]=\"456\" [config]=\"{ }\"></ng2-odometer>\n        </div>\n        <div  class=\"line-graph-holder mat-elevation-z4 \" [ngStyle]=\"{'height':'170px'}\">\n            <canvas id=\"share-price\"></canvas>\n        </div>\n    </div>\n    \n</div>",
                        styles: [".share-price{margin:10px;height:220px;background:#4db6ac}.share-price .line-graph-holder{background:#4db6ac;margin:0}.nav-item{transition:.6s cubic-bezier(.165,.84,.44,1);cursor:default}.nav-item:hover{-webkit-transform:translate(0,-8px);transform:translate(0,-8px);box-shadow:0 20px 20px rgba(0,0,0,.16)}"]
                    }] }
        ];
        /** @nocollapse */
        SharePriceComponent.ctorParameters = function () { return []; };
        return SharePriceComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var RoundProgressbarComponent = /** @class */ (function () {
        function RoundProgressbarComponent() {
            this.radius = 125;
            this.stroke = '20';
            this.semicircle = false;
            this.rounded = true;
            this.clockwise = false;
            this.responsive = true;
            this.duration = '800';
            this.animation = 'easeInOutQuart';
        }
        /**
         * @return {?}
         */
        RoundProgressbarComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        RoundProgressbarComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-do-round-progressbar',
                        template: "<div  class=\"round-progressbar mat-elevation-z4 \"  fxLayout=\"column\" [style.background]=\"boxcolor\">\n    <h1 class=\"mat-headline header\">\n            {{title}}\n    </h1>\n    <div  fxLayout=\"row\" >\n\n        <div fxFlex=\"10\">\n        </div>\n        <div fxFlex=\"80\" >\n              <div class=\"progress-wrapper\">\n                    <div class=\"current mat-headline \" [ngClass]=\"{'semi_off':!semicircle, 'semi_on':semicircle}\" >{{ current }}/{{ max }}</div>\n                    <round-progress  [current]=\"current\"\n                    [max]=\"max\"\n                    [color]=\"color\"\n                    [background]=\"background\"\n                    [radius]=\"125\"\n                    [stroke]=\"30\"\n                    [semicircle]=\"semicircle\"\n                    [rounded]=\"rounded\"\n                    [clockwise]=\"clockwise\"\n                    [responsive]=\"responsive\"\n                    [duration]=\"800\"\n                    [animation]=\"animation\"\n                    [animationDelay]=\"1\"\n                     ></round-progress>\n              </div>\n           \n        </div>\n        <div  fxFlex=\"10\"></div>\n    </div>\n\n</div>",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        RoundProgressbarComponent.ctorParameters = function () { return []; };
        RoundProgressbarComponent.propDecorators = {
            current: [{ type: core.Input }],
            max: [{ type: core.Input }],
            background: [{ type: core.Input }],
            color: [{ type: core.Input }],
            boxcolor: [{ type: core.Input }],
            title: [{ type: core.Input }]
        };
        return RoundProgressbarComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SalesListComponent = /** @class */ (function () {
        function SalesListComponent() {
            this.showLoader = false;
            this.sales = [
                {
                    companyIcon: 'https://www.bugsplat.com/images/icons/angular_icon_blue.png',
                    companyName: 'Codetok',
                    star: '20',
                    fork: false,
                    watch: false,
                },
                {
                    companyIcon: 'https://firebase.google.com/_static/4d0ad1dc9e/images/firebase/logo.png',
                    companyName: 'Firebase',
                    star: '2k',
                    fork: false,
                    watch: false,
                },
                {
                    companyIcon: 'https://crunchbase-production-res.cloudinary.com/image/upload/c_lpad,h_256,w_256,f_jpg/v1481031537/j9c8urpwe7uabwmt2qau.png',
                    companyName: 'Ionic',
                    star: false,
                    fork: false,
                    watch: 22,
                },
                {
                    companyIcon: 'https://www.gstatic.com/images/branding/product/2x/app_maker_64dp.png',
                    companyName: 'google dev',
                    star: false,
                    watch: false,
                    fork: '22',
                }
            ];
        }
        /**
         * @return {?}
         */
        SalesListComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @return {?}
         */
        SalesListComponent.prototype.reload = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.showLoader = true;
                setTimeout(function () {
                    _this.showLoader = false;
                }, 2000);
            };
        SalesListComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-do-sales-list',
                        template: "<div  class=\"sales-list mat-elevation-z4 \"  >\n    <mat-toolbar>\n        \n        <mat-toolbar-row>\n            <span>Sales List</span>\n            <span class=\"pull-right\"></span>\n            <button mat-icon-button>\n              <mat-icon (click)=\"reload();\" >refresh</mat-icon>\n            </button>\n           <button mat-icon-button [matMenuTriggerFor]=\"menu\">\n                  <mat-icon>more_vert</mat-icon>\n                </button>\n                <mat-menu #menu=\"matMenu\">\n                  <button mat-menu-item>\n                    <mat-icon>list</mat-icon>\n                    <span>List</span>\n                  </button>\n                  <button mat-menu-item>\n                    <mat-icon>print</mat-icon>\n                    <span>Print</span>\n                  </button>\n                </mat-menu>\n          </mat-toolbar-row>\n    </mat-toolbar>\n    <mat-progress-bar *ngIf=\"showLoader\"\n          [color]=\"'primary'\"\n          [mode]=\"'indeterminate'\"\n          [value]=\"90\"\n          [bufferValue]=\"'10'\">\n      </mat-progress-bar>\n    <mat-list >\n    <mat-list-item *ngFor=\"let sale of sales\"   >\n        <img  matListAvatar [src]=\"sale.companyIcon\" alt=\"Image of {{sale.name}}\">\n        <h3  > {{sale.companyName}} </h3>\n        <span class=\"pull-right\"></span>\n        <mat-chip-list    >\n            <mat-chip  *ngIf=\"sale.star\" color=\"primary\" selected=\"true\" >\n                {{sale.star}} &nbsp; <mat-icon>star</mat-icon> \n            </mat-chip>\n            <mat-chip *ngIf=\"sale.watch\"  color=\"warn\" selected=\"true\" >\n                {{sale.watch}}  &nbsp;<mat-icon>remove_red_eye</mat-icon> \n            </mat-chip>\n            <mat-chip *ngIf=\"sale.fork\"  color=\"accent\" selected=\"true\" >\n                {{sale.fork}}  &nbsp;<mat-icon>content_copy</mat-icon> \n            </mat-chip>\n        </mat-chip-list>\n    </mat-list-item>\n</mat-list>\n\n</div>",
                        styles: [".nav-item{transition:.6s cubic-bezier(.165,.84,.44,1);cursor:default}.nav-item:hover{-webkit-transform:translate(0,-8px);transform:translate(0,-8px);box-shadow:0 20px 20px rgba(0,0,0,.16)}"]
                    }] }
        ];
        /** @nocollapse */
        SalesListComponent.ctorParameters = function () { return []; };
        return SalesListComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var D3UsaComponent = /** @class */ (function () {
        function D3UsaComponent() {
        }
        /**
         * @return {?}
         */
        D3UsaComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        D3UsaComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-do-d3-usa',
                        template: "<!-- <svg viewBox=\"0 0 1000 700\" preserveAspectRatio=\"xMinYMin slice\" width=\"100%\" height=\"100%\" style=\"width: 100%; overflow: hidden;\"></svg>\n\n -->",
                        styles: [".counties{fill:none}.states{fill:none;stroke:#fff;stroke-linejoin:round}"]
                    }] }
        ];
        return D3UsaComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var WorldMapComponent = /** @class */ (function () {
        function WorldMapComponent() {
            this.tableData = [];
        }
        /**
         * @return {?}
         */
        WorldMapComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                if (AmCharts) {
                    AmCharts.makeChart('chartdiv', {
                        'type': 'map',
                        'theme': 'light',
                        'projection': 'miller',
                        'dataProvider': {
                            'map': 'worldLow',
                            'getAreasFromMap': true
                        },
                        'areasSettings': {
                            'autoZoom': true,
                            'selectedColor': '#CC0000'
                        },
                    });
                }
                else {
                    console.error('AmCharts javascript not loaded');
                }
            };
        WorldMapComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-do-world-map',
                        template: "\n\n<div fxLayout=\"column\" fxLayout.xs=\"column\"  style=\"background-color: white;padding: 10px;\">\n\n\t<div class=\"mat-headline\" style=\"margin: 20px; border-bottom: 1px solid #dddddd;\">\n\t\tGLOBAL SALES REPORT\n\t</div>\n\n\t<div fxLayout=\"row\" fxLayout.xs=\"column\">\n\t\t<div fxFlex.gt-xs=\"35\"  style=\"padding-top: 10px;\">\n\n\t\t\t<table  class=\"table\">\n\t\t\t\t\t<tr *ngFor=\"let detail of tableData\">\n\t\t\t\t\t\t<td class=\"mat-subheading-1\">{{ detail?.country }}</td>\n\t\t\t\t\t\t<td class=\"text-right mat-subheading-1\">{{ detail?.sales }}</td>\n\t\t\t\t\t\t<td class=\"text-right mat-subheading-1\">{{ detail?.percentage }}</td>\n\t\t\t\t\t</tr>\n\t\t\t</table>\n\t\t\t\n\t\t</div>\n\n\t\t<div fxFlex.gt-xs=\"10\"></div>\n\n\t\t<div style=\"padding: 5px 10px;\" fxFlex.gt-xs=\"55\">\n\t\t\t<div id=\"chartdiv\"  style=\"height: 300px;\" >\n\t\t</div>\n\t\t</div> \n\t</div>\n</div>\n\n\n",
                        styles: [".table{width:100%;max-width:100%;border-collapse:collapse}.table tr:first-child td{border-top:none}.text-right{text-align:right}td,th{padding:8px;text-align:left;border-top:1px solid #ddd}.nav-item{transition:.6s cubic-bezier(.165,.84,.44,1);cursor:default}.nav-item:hover{-webkit-transform:translate(0,-8px);transform:translate(0,-8px);box-shadow:0 20px 20px rgba(0,0,0,.16)}"]
                    }] }
        ];
        /** @nocollapse */
        WorldMapComponent.ctorParameters = function () { return []; };
        WorldMapComponent.propDecorators = {
            tableData: [{ type: core.Input }]
        };
        return WorldMapComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NgxDoWipModule = /** @class */ (function () {
        function NgxDoWipModule() {
        }
        NgxDoWipModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            flexLayout.FlexLayoutModule,
                            material.MatButtonModule,
                            material.MatIconModule,
                            material.MatTabsModule,
                            material.MatInputModule,
                            material.MatToolbarModule,
                            material.MatFormFieldModule,
                            material.MatListModule,
                            ng2Odometer.Ng2OdometerModule,
                            angularSvgRoundProgressbar.RoundProgressModule,
                            material.MatMenuModule,
                            material.MatChipsModule,
                            material.MatProgressBarModule,
                            forms.FormsModule,
                            forms.ReactiveFormsModule,
                        ],
                        declarations: [
                            DashcardComponent,
                            LineGraphComponent,
                            BarGraphComponent,
                            DoughnutGraphComponent,
                            PricingPlanComponent,
                            WeatherComponent,
                            SharePriceComponent,
                            RoundProgressbarComponent,
                            SalesListComponent,
                            D3UsaComponent,
                            WorldMapComponent,
                        ],
                        exports: [
                            DashcardComponent,
                            LineGraphComponent,
                            BarGraphComponent,
                            DoughnutGraphComponent,
                            PricingPlanComponent,
                            WeatherComponent,
                            SharePriceComponent,
                            RoundProgressbarComponent,
                            SalesListComponent,
                            D3UsaComponent,
                            WorldMapComponent,
                        ]
                    },] }
        ];
        return NgxDoWipModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.NgxDoWipModule = NgxDoWipModule;
    exports.DashcardComponent = DashcardComponent;
    exports.LineGraphComponent = LineGraphComponent;
    exports.BarGraphComponent = BarGraphComponent;
    exports.DoughnutGraphComponent = DoughnutGraphComponent;
    exports.PricingPlanComponent = PricingPlanComponent;
    exports.WeatherComponent = WeatherComponent;
    exports.SharePriceComponent = SharePriceComponent;
    exports.RoundProgressbarComponent = RoundProgressbarComponent;
    exports.SalesListComponent = SalesListComponent;
    exports.D3UsaComponent = D3UsaComponent;
    exports.WorldMapComponent = WorldMapComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=ngx-do-wip.umd.js.map